Bug 185621 - hwdata pcitabel missing 24xx series HBA cards
hwdata pcitabel missing 24xx series HBA cards
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: hwdata (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-16 08:49 EST by Mike Libassi
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 11:12:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Changed pcitable file (43.03 KB, text/plain)
2006-03-16 08:49 EST, Mike Libassi
no flags Details

  None (edit)
Description Mike Libassi 2006-03-16 08:49:13 EST
Description of problem:
pci.ids file has entries for new QLogic HBA cards (24xx series):
"1077  QLogic Corp" 
2422  QLA2422 Fibre Channel Adapter
2432  QLA2432 Fibre Channel Adapter

However,

pcitable is missing the two entries.
0x1077  0x2422  "qla2300"
0x1077  0x2432  "qla2300"

The 2422 and 2432 use the qla2300 driver.  Upon insall on a blade server (that
boots form SAN) the initrd image would not have any qla2xxx /2300 drivers and
kernel panic on boot.

Version-Release number of selected component (if applicable):
hwdata-0.146.18.EL-1

How reproducible:
Installing RH4 on a blade server that boots from a SAN with the new 2400 series HBA.


Actual results:
Kernel panic at boot..not able to find root device.

Expected results:
initrd image built at install needs to have the 2300 driver for 24xx series HBA
cards

Additional info:
0x1077  0x2422  "qla2300"
0x1077  0x2432  "qla2300"
into the hwdata source pcitable.  Rebuilt hwdata and put into our install. 
Installed and boot w/o error.

Added the the entries:
Attached updated pcitable
Comment 1 Mike Libassi 2006-03-16 08:49:13 EST
Created attachment 126220 [details]
Changed pcitable file

Note You need to log in before you can comment on or make changes to this bug.